> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys



## OpenAPI

````yaml https://api.mynth.io/openapi.json get /api-key
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /api-key:
    get:
      tags:
        - API Keys
      summary: List API Keys
      operationId: getApiKey
      responses:
        '200':
          description: API keys returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt: {}
                        id:
                          type: string
                        keyPreview:
                          type: string
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        scopes:
                          type: array
                          items:
                            enum:
                              - generate
                              - keys
                              - manage
                        spendingLimit:
                          anyOf:
                            - type: string
                            - type: 'null'
                        spendingLimitPeriod:
                          anyOf:
                            - const: day
                            - const: month
                            - const: week
                            - type: 'null'
                        updatedAt: {}
                      required:
                        - createdAt
                        - id
                        - keyPreview
                        - name
                        - scopes
                        - spendingLimit
                        - spendingLimitPeriod
                        - updatedAt
                      additionalProperties: false
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````